Package: org.gradle.platform.base

## [Java] Annotation Type BinaryType

- org.gradle.platform.base.BinaryType

- Declares that a custom BinarySpec type. The following example demonstrates how to register a custom component type using a plugin with a BinaryType annotation.

       interface SampleBinary extends BinarySpec {}
       class DefaultSampleBinary extends BaseBinarySpec implements SampleBinary {}

       apply plugin: MySamplePlugin

       class MySamplePlugin extends RuleSource {
           @BinaryType
           void defineBinaryType(BinaryTypeBuilder builder) {
               builder.defaultImplementation(DefaultSampleBinary)
           }
       }

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`